Bug 974695 - Adding tombstone entry and how to delete it to Admin Guide
Adding tombstone entry and how to delete it to Admin Guide
Status: CLOSED CURRENTRELEASE
Product: Red Hat Directory Server
Classification: Red Hat
Component: Doc-administration-guide (Show other bugs)
9.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Deon Ballard
Jenny Galipeau
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-14 16:21 EDT by Noriko Hosoi
Modified: 2014-05-09 23:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-09 23:43:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Noriko Hosoi 2013-06-14 16:21:58 EDT
Description of problem:
 
Could you please add a small section like this to somewhere in Replication chapter "11. Managing Replication"?

==================================================================
Deleting Entries and Cleaning up the Deleted Entries

When an entry is deleted on a server replication is configured, the entry is converted to tombstones and are kept around in case some of their state information is needed for conflict resolution. Deleted values are kept around for similar reasons. These tombstone values are reaped at configurable intervals and can be kept around for as long or as short a period of time as needed.  To clean up the tombstone entries and the state information immediately, set small digit to nsDS5ReplicaPurgeDelay and nsDS5ReplicaTombstonePurgeInterval in the replica configuration entry: cn=replica,cn="<REPLICATED_SUFFIX>",cn=mapping tree,cn=config  Details are found here:
https://access.redhat.com/site/documentation/en-US/Red_Hat_Directory_Server/9.0/html/Configuration_Command_and_File_Reference/Core_Server_Configuration_Reference.html#Replication_Attributes_under_cnreplica_cnsuffixName_cnmapping_tree_cnconfig-nsDS5ReplicaPurgeDelay for nsDS5ReplicaPurgeDelay
https://access.redhat.com/site/documentation/en-US/Red_Hat_Directory_Server/9.0/html/Configuration_Command_and_File_Reference/Core_Server_Configuration_Reference.html#Replication_Attributes_under_cnreplica_cnsuffixName_cnmapping_tree_cnconfig-nsDS5ReplicaTombstonePurgeInterval for nsDS5ReplicaTombstonePurgeInterval

Please note that the tombstone entries are not supposed to delete manually.
Comment 1 Rich Megginson 2013-07-09 17:01:37 EDT
for example:

# save current settings
ldapsearch -xLLL -D "cn=directory manager" -w password -b cn=config cn=replica > replica-settings.ldif

# modify
ldapmodify -x -D "cn=directory manager" -w password <<EOF
dn: cn=replica,cn="dc=example,dc=com",cn=mapping tree,cn=config
changetype: modify
replace: nsDS5ReplicaPurgeDelay
nsDS5ReplicaPurgeDelay: 1
-
replace: nsDS5ReplicaTombstonePurgeInterval
nsDS5ReplicaTombstonePurgeInterval: 60

EOF

# check the server errors log - once the tombstone purging is complete, reset the values back to their original values - see replica-settings.ldif

# modify
ldapmodify -x -D "cn=directory manager" -w password <<EOF
dn: cn=replica,cn="dc=example,dc=com",cn=mapping tree,cn=config
changetype: modify
replace: nsDS5ReplicaPurgeDelay
nsDS5ReplicaPurgeDelay: original value
-
replace: nsDS5ReplicaTombstonePurgeInterval
nsDS5ReplicaTombstonePurgeInterval: original value

EOF
Comment 2 Rich Megginson 2013-07-09 18:40:44 EDT
Note - nsDS5ReplicaTombstonePurgeInterval may not be in the replica-settings.ldif - to reset, use the default value of 86400 (one day in seconds)
Comment 3 Deon Ballard 2014-05-09 23:43:33 EDT
Mass closure of bugs modified in 2013. All of these are in the currently-published docs.

Note You need to log in before you can comment on or make changes to this bug.